<?php

namespace Btravel\Externaldatum;

use DB;
use Illuminate\Database\Seeder;

class ExternaldataTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('externaldatas')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'externaldatum.externaldata.view',
                'name'      => 'View Externaldata',
            ],
            [
                'slug'      => 'externaldatum.externaldata.create',
                'name'      => 'Create Externaldata',
            ],
            [
                'slug'      => 'externaldatum.externaldata.edit',
                'name'      => 'Update Externaldata',
            ],
            [
                'slug'      => 'externaldatum.externaldata.delete',
                'name'      => 'Delete Externaldata',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/externaldatum/externaldata',
                'name'        => 'Externaldata',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/externaldatum/externaldata',
                'name'        => 'Externaldata',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'externaldata',
                'name'        => 'Externaldata',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Externaldatum',
                'module'    => 'Externaldata',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'externaldatum.externaldata.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
