Lavalite package that provides externaldatum management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `btravel/externaldatum`.

    "btravel/externaldatum": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Btravel\Externaldatum\Providers\ExternaldatumServiceProvider::class,

And also add it to alias

    'Externaldatum'  => Btravel\Externaldatum\Facades\Externaldatum::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Btravel\\ExternaldatumTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Btravel\Externaldatum\Providers\ExternaldatumServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Btravel\Externaldatum\Providers\ExternaldatumServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Btravel\Externaldatum\Providers\ExternaldatumServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/externaldatum/{modulename}

**User**

    http://path-to-route-folder/user/externaldatum/{modulename}

**Public**

    http://path-to-route-folder/externaldatas


### API endpoints

**List**

    http://path-to-route-folder/api/user/externaldatum/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/externaldatum/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/externaldatum/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/externaldatum/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/externaldatum/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/externaldatum/{modulename}/{slug}
    METHOD: GET